clang 10.0.0git

Classes | Namespaces | Functions
Refactoring.h File Reference
`#include "clang/Tooling/Core/Replacement.h"`
`#include "clang/Tooling/Tooling.h"`
`#include <map>`
`#include <string>`
Include dependency graph for Refactoring.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::tooling::RefactoringTool
| A tool to run refactorings. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::tooling

## Functions
bool | clang::tooling::formatAndApplyAllReplacements (const std::map< std::string, Replacements > &FileToReplaces, Rewriter &Rewrite, StringRef Style="file")
| Groups `Replaces` by the file path and applies each group of Replacements on the related file in `Rewriter`. More...